JUCE: format_types

JUCE

Classes | Macros | Enumerations | Functions
format_types
juce_audio_processors

## Classes
class | AudioUnitPluginFormat
| Implements a plugin format manager for AudioUnits. More...
class | LADSPAPluginFormat
| Implements a plugin format manager for LADSPA plugins. More...
class | VST3PluginFormat
| Implements a plugin format for VST3s. More...
struct | SpeakerMappings
| Structure for VST speaker mappings. More...
struct | SpeakerMappings::Mapping
| Structure describing a mapping. More...
class | SpeakerMappings::VstSpeakerConfigurationHolder
| Class to hold a speaker configuration. More...
class | VSTPluginFormat
| Implements a plugin format manager for VSTs. More...
class | VSTPluginFormat::ExtraFunctions
| Base class for some extra functions that can be attached to a VST plugin instance. More...

## Macros
#define | JUCE_STATE_DICTIONARY_KEY "jucePluginState"

## Enumerations
enum | { kAudioUnitProperty_SupportsMPE = 58 }

## Functions
| JUCE_BEGIN_IGNORE_WARNINGS_GCC_LIKE ("-Wnon-virtual-dtor", "-Wreorder", "-Wunsequenced", "-Wint-to-pointer-cast", "-Wunused-parameter", "-Wconversion", "-Woverloaded-virtual", "-Wshadow", "-Wdeprecated-register", "-Wunused-function", "-Wsign-conversion", "-Wsign-compare", "-Wdelete-non-virtual-dtor", "-Wdeprecated-declarations", "-Wextra-semi", "-Wmissing-braces", "-Wswitch-default", "-Wshadow-field", "-Wpragma-pack", "-Wcomma", "-Wzero-as-null-pointer-constant", "-Winconsistent-missing-destructor-override", "-Wcast-align", "-Wignored-qualifiers", "-Wmissing-field-initializers", "-Wformat=", "-Wformat", "-Wpedantic", "-Wextra", "-Wclass-memaccess", "-Wmissing-prototypes", "-Wtype-limits", "-Wcpp", "-W#warnings") namespace Steinberg

## Detailed Description

## Macro Definition Documentation

## ◆ JUCE_STATE_DICTIONARY_KEY

#define JUCE_STATE_DICTIONARY_KEY "jucePluginState"

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
kAudioUnitProperty_SupportsMPE | Custom AudioUnit property used to indicate MPE support.

## Function Documentation

## ◆ JUCE_BEGIN_IGNORE_WARNINGS_GCC_LIKE()

JUCE_BEGIN_IGNORE_WARNINGS_GCC_LIKE | ( | "-Wnon-virtual-dtor" | ,
|  | "-Wreorder" | ,
|  | "-Wunsequenced" | ,
|  | "-Wint-to-pointer-cast" | ,
|  | "-Wunused-parameter" | ,
|  | "-Wconversion" | ,
|  | "-Woverloaded-virtual" | ,
|  | "-Wshadow" | ,
|  | "-Wdeprecated-register" | ,
|  | "-Wunused-function" | ,
|  | "-Wsign-conversion" | ,
|  | "-Wsign-compare" | ,
|  | "-Wdelete-non-virtual-dtor" | ,
|  | "-Wdeprecated-declarations" | ,
|  | "-Wextra-semi" | ,
|  | "-Wmissing-braces" | ,
|  | "-Wswitch-default" | ,
|  | "-Wshadow-field" | ,
|  | "-Wpragma-pack" | ,
|  | "-Wcomma" | ,
|  | "-Wzero-as-null-pointer-constant" | ,
|  | "-Winconsistent-missing-destructor-override" | ,
|  | "-Wcast-align" | ,
|  | "-Wignored-qualifiers" | ,
|  | "-Wmissing-field-initializers" |
| ) |  |